<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lesson 6</title>
</head>

<body>

    <script>
        function Human(name, age) {
            this.name = name;
            this.age = age;

        };

        let hum1 = new Human("Pavel", 15);
        let hum2 = new Human("Misha", 20);
        let hum3 = new Human("Nikita", 13);

        var person = [hum1, hum2, hum3];

        var personHum = function(array) {
            array.sort((a, b) => a.age - b.age);
            for (let i = 0; i < array.length; i++) {
                document.write("<br>" + array[i].name + " " + array[i].age)

            }
        };
        var personHum2 = function(array) {
            array.sort((a, b) => b.age - a.age);
            for (let i = 0; i < array.length; i++) {
                document.write("<br>" + array[i].name + " " + array[i].age)

            }
        };
        document.write("По возрастанию: " + "<br>");
        personHum(person);
        document.write("<br>");
        document.write("<br>" + "По убыванию: " + "<br>");
        personHum2(person);
        document.write("<br>" + "<br>");


        function Human(name, age, experience) {

            // свойства экземпляра
            this.name = name;
            this.age = age;
            this.experience = experience;

            // метод экземпляра
            this.print = function() {
                document.write("Привет! Меня зовут " + this.name + " мне " + this.age + " лет. Я имею опыт " + this.experience + "<br /> ");
            }

        };
        // свойство функции конструктора (аналог статических свойств).
        Human.city = "Kyiv";

        // Метод функции-конструктора (аналог статическгого метода).
        Human.getOrigin = function() {
            return new Human("Pavel", 20, "junior")
        }


        // создание экземпляров и работа с свойствами и методами экземпляров.

        let hum4 = new Human("Misha", 20, "middle");
        hum4.name = "Nikita";
        hum4.age = 40;
        hum4.experience = "senior";
        hum4.print();
        let hum5 = new Human("Masha", 35, "middle");
        hum2.print();

        // работа с свойством и методом функции-конструктора.
        Human.city = "Dnipro";
        document.write(Human.city + "<br>");
        Human.getOrigin().print();
    </script>
</body>

</html>

</html>

</html>